#### 4.22.3.28 rays

`Syntax:`
  `rays(` cone c `)`
`Type:`
  bigintmat
`Purpose:`
  rays of the cone outside the lineality space, rays inside the lineality space will be ignored
`Example:`

      LIB"gfanlib.so";
      intmat M1[2][2]=
      1,0,
      0,1;
      cone c1=coneViaPoints(M1);
      bigintmat R1=rays(c1);
      print(R1);
      ==> 1,0,
      ==> 0,1
      intmat M2[3][2]=
      1,0,
      0,1,
      -1,0;
      cone c2=coneViaPoints(M2);
      bigintmat R2=rays(c2);
      print(R2);
      ==> 0,1

User manual for Singular version 4-0-3, 2016, generated by texi2html.